package cc.winboll.studio.libappbase.activities;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import cc.winboll.studio.libappbase.LogUtils;
import cc.winboll.studio.libappbase.R;
import cc.winboll.studio.libappbase.winboll.IWinBoLLActivity;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;

/**
 * @Author ZhanGSKen<zhangsken@188.com>
 * @Date 2025/06/04 11:06
 * @Describe 云宝云
 */
public class YunActivity extends Activity implements IWinBoLLActivity {

    public static final String TAG = "YunActivity";

    @Override
    public Activity getActivity() {
        return this;
    }

    @Override
    public String getTag() {
        return TAG;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_yun);

    }

    public void onTestYun(View view) {
        LogUtils.d(TAG, "onTestYun");
        (new Thread(new Runnable(){
                @Override
                public void run() {
                    testYun();
                }
            })).start();
    }

    void testYun() {
        OkHttpClient client = new OkHttpClient();
        Request request = new Request.Builder()
            .url("https://yun.winboll.cc/backups/")
            .build();
        try {
            Response response = client.newCall(request).execute();
            if (response.isSuccessful()) { // 状态码 200-399 均视为成功
                //System.out.println("OK");
                LogUtils.d(TAG, "OK");
            } else {
                //System.out.println("请求失败，状态码：" + response.code());
                LogUtils.d(TAG, "请求失败，状态码：" + response.code());
            }
        } catch (Exception e) {
            LogUtils.d(TAG, e, Thread.currentThread().getStackTrace());
        }
    }

}
